## com.imcode.imcms.api
Class TestDocumentService

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.imcode.imcms.api.TestDocumentService

All Implemented Interfaces:
  junit.framework.Test

    public class TestDocumentService

extends junit.framework.TestCase

Constructor Summary
`TestDocumentService()`

Method Summary
`void` `setUp()`
`void` `testApiWrappingList()`
`void` `testSaveCategory()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestDocumentService

    public TestDocumentService()

Method Detail

### setUp

    public void setUp()
               throws java.lang.Exception

  Overrides:
    `setUp` in class `junit.framework.TestCase`
  Throws:
    `java.lang.Exception`

### testSaveCategory

    public void testSaveCategory()
                          throws CategoryAlreadyExistsException,
                                 NoPermissionException

  Throws:
    `CategoryAlreadyExistsException`
    `NoPermissionException`

### testApiWrappingList

    public void testApiWrappingList()